#!/usr/bin/python

import os
import os.path

import json
import sys

argc = len(sys.argv)

input_idir  = sys.argv[1] if (argc==2) or (argc==3)  else "download-json-all"
output_dir = sys.argv[2] if argc==3 else "download-audio"

if not os.path.isdir(output_dir):
    print "Creating directory: " + output_dir
    os.mkdir(output_dir)
    

json_files = [ jf for jf in os.listdir(input_dir) if os.path.isfile(os.path.join(input_dir,jf)) ]

for jf in json_files:
    json_filename = os.path.join(input_dir,jf)
    json_data=open(json_filename).read()
    data = json.loads(json_data)

    for rec in data[u'results']:

        id = int(rec[u'id'])
        prefix = id//1000

        output_prefix_dir = os.path.join(output_dir,str(prefix));
        if not os.path.isdir(output_prefix_dir):
            print "Creating " + output_prefix_dir
            os.mkdir(output_prefix_dir)

        output_filename = os.path.join(output_prefix_dir, str(id) + ".mp3")

        if not os.path.isfile(output_filename):
            audio_download_url = rec[u'audio']
             
            cmd = "wget -O " + output_filename +  " \"" + audio_download_url + "\""

            print "Downloading:" +cmd
            os.system(cmd)
        else:
            print "Already downloaded: " + output_filename + " => skipping"

